# Snowflake

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="snowflake-integration.tf" %}

```tf
resource "apono_integration" "snowflake-integration" {
  name                     = "Snowflake"
  type                     = "snowflake"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["snowflake-role"]
  metadata = {
    hostname = "<Hostname>"
    auth_type = "<Select Auth Type>"
    role = "<Role>"
    credentials_rotation_period_in_days = "<Credentials rotation period (in days)>"
    credentials_cleanup_period_in_days = "<User cleanup after access is revoked (in days)>"
    sso_url = "<SSO Portal URL>"
  }
  kubernetes_secret = {
    name      = "name_template_value"
    namespace = "namespace_template_value"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="snowflake-integration.tf" %}

```tf
resource "apono_resource_integration" "snowflake-integration" {
  name                     = "Snowflake"
  type                     = "snowflake"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["snowflake-role"]
  integration_config = {
    hostname = "<Hostname>"
    auth_type = "<Select Auth Type>"
    role = "<Role>"
    credentials_rotation_period_in_days = "<Credentials rotation period (in days)>"
    credentials_cleanup_period_in_days = "<User cleanup after access is revoked (in days)>"
    sso_url = "<SSO Portal URL>"
  }
  secret_store_config = {
    kubernetes = {
      name      = "name_template_value"
      namespace = "namespace_template_value"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="snowflake-integration.json" %}

```json
{
    "snowflake-integration": {
        "name": "Snowflake",
        "type": "snowflake",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "snowflake-role"
        ],
        "integration_config": {
            "hostname": "<Hostname>",
            "auth_type": "<Select Auth Type>",
            "role": "<Role>",
            "credentials_rotation_period_in_days": "<Credentials rotation period (in days)>",
            "credentials_cleanup_period_in_days": "<User cleanup after access is revoked (in days)>",
            "sso_url": "<SSO Portal URL>",
        },
	"secret_store_config": {
    	    "name": "name_template_value",
    	    "namespace": "namespace_template_value"
  	    }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` snowflake
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* snowflake-role

</details>

### Integration Config

***

* `hostname` (Required | String) Hostname
* `auth_type` (Optional | String) Select Auth Type
  * Default value: `user-password`
  * Possible values: sso-auth, user-password
* `role` (Optional | String) Role
  * Default value: `ACCOUNTADMIN`
* `credentials_rotation_period_in_days` (Optional | String) Credentials rotation period (in days)
* `credentials_cleanup_period_in_days` (Optional | String) User cleanup after access is revoked (in days)
* `sso_url` (Optional | String) SSO Portal URL


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/snowflake.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
